mod parser;

#[macro_use]
extern crate rocket;

use rocket::serde::json::Json;
use crate::parser::mdstat_parser::{MdRaidSystem, parse_mdstat};

#[get("/raiddevices")]
fn get_raid_devices() -> Json<MdRaidSystem> {
    Json(parse_mdstat())
}

#[rocket::main]
async fn main() -> Result<(), rocket::Error> {
    println!("init");
    let _rocket = rocket::build()
        .mount("/api", routes![get_raid_devices])
        .launch()
        .await?;

    Ok(())
}